Provider Configuration Endpoints

API endpoints for discovering available resources from connected third-party platforms.

Overview

Provider configuration endpoints allow you to discover available resources from your connected third-party platforms. These endpoints query the actual third-party APIs in real-time to list resources like S3 buckets, Salesforce objects, SendGrid lists, Facebook custom audiences, etc.

These endpoints are primarily used by the Lytics UI when configuring integrations and workflows. They can also be used programmatically to discover available resources before creating export or import configurations.

📘

All provider endpoints require a valid auth_id query parameter referencing an existing authorization for that provider.

Common Pattern

All provider endpoints follow a consistent pattern:

GET /v2/provider/{provider}/{resource_type}?auth_id={auth_id}

Response format: An array of [id, display_name] tuples:

[
  ["resource_id_1", "Resource Display Name 1"],
  ["resource_id_2", "Resource Display Name 2"]
]

Some providers support hierarchical navigation where you pass additional query parameters to drill down into nested resources (e.g., BigQuery project -> dataset -> table -> field).

Available Providers

AWS

EndpointDescription
GET /v2/provider/aws/regionsList available AWS regions
GET /v2/provider/aws/s3/bucketsList S3 bucket names
GET /v2/provider/aws/s3/directoriesList directory paths in a bucket
GET /v2/provider/aws/s3/objectsList object names in a bucket
GET /v2/provider/aws/s3/objectfieldsList fields from an S3 object
GET /v2/provider/aws/kinesis/streamsList Kinesis stream names
GET /v2/provider/aws/redshift/tablesList Redshift table names
GET /v2/provider/aws/redshift/timestampsList Redshift timestamp columns
GET /v2/provider/aws/pinpoint/appsList Pinpoint applications
GET /v2/provider/aws/pinpoint/channel-typeList Pinpoint channel types
GET /v2/provider/aws/pinpoint/message-typeList Pinpoint message types

Google

EndpointDescription
GET /v2/provider/google/accountsList Google accounts
GET /v2/provider/google/adsList Google Ads accounts
GET /v2/provider/google/ads/customersList Google Ads customers
GET /v2/provider/google/ads/listsList Google Ads audience lists
GET /v2/provider/google/bigqueryList BigQuery resources (use type param: project, dataset, table, field)
GET /v2/provider/google/bigquery/streamsList BigQuery stream names
GET /v2/provider/google/cloudstorage/bucketsList GCS bucket names
GET /v2/provider/google/cloudstorage/projectsList GCS projects
GET /v2/provider/google/cloudstorage/filesList GCS file paths
GET /v2/provider/google/pubsub/topicsList Pub/Sub topics
GET /v2/provider/google/sheets/sheetlistList Google Sheets
GET /v2/provider/google/propertiesList GA4 properties
GET /v2/provider/google/dimensionsList GA4 dimensions
GET /v2/provider/google/dv360/listsList DV360 audience lists
GET /v2/provider/google/gtmaccountsList GTM accounts
GET /v2/provider/google/gtmcontainersList GTM containers

Azure

EndpointDescription
GET /v2/provider/azure/containersList Blob Storage containers
GET /v2/provider/azure/container/blobsList blobs in a container
GET /v2/provider/azure/blob/fieldsList fields from blob data
GET /v2/provider/azure/sql/tablesList Azure SQL tables
GET /v2/provider/azure/sql/timestampList Azure SQL timestamp columns

Snowflake

EndpointDescription
GET /v2/provider/snowflake/databasesList databases
GET /v2/provider/snowflake/schemasList schemas
GET /v2/provider/snowflake/sourcesList data sources
GET /v2/provider/snowflake/fieldsList fields

Salesforce

EndpointDescription
GET /v2/provider/salesforce/objectsList Salesforce objects (Lead, Contact, etc.)
GET /v2/provider/salesforce/fieldsList fields for a Salesforce object (requires salesforce_object param)

Facebook

EndpointDescription
GET /v2/provider/facebook/listsList Facebook audience lists
GET /v2/provider/facebook/customaudiencesList Facebook custom audiences
GET /v2/provider/facebook/fieldsList available fields
GET /v2/provider/facebook/conversionapi/standard-eventsList CAPI standard events
GET /v2/provider/facebook/conversionapi/user-data-parametersList CAPI user data parameters
GET /v2/provider/facebook/conversionapi/action-sourcesList CAPI action sources

LinkedIn

EndpointDescription
GET /v2/provider/linkedin/adaccountsList LinkedIn ad accounts
GET /v2/provider/linkedin/segmentsList audience segments
GET /v2/provider/linkedin/campaignsList campaigns
GET /v2/provider/linkedin/conversionrulesList existing conversions
GET /v2/provider/linkedin/conversiontypeList conversion types
GET /v2/provider/linkedin/idfieldsList identifier fields

Email Marketing

ProviderEndpoints
SendGridlists, listsnew, segments, segmentsnew, customfields, customfieldsnew, templates
Mailchimplists, campaigns, fields
Brevolists, fields
Campaign Monitorclients, lists, fields
Klaviyolists, fields
Iterablelists, fields
Marketing Cloudlists, dataexts, attributes, businessunits, eventdefs, eventfields, fieldtypes, folders, subproperties

All follow the pattern GET /v2/provider/{provider}/{resource}.

Other Advertising

ProviderEndpoints
Google Adsads, ads/customers, ads/lists
Pinterestaccounts, lists, capifields
TikTokadvertisers, id-encryption-type, event-name, identifiers, properties
Snapchatorgs, adaccounts, audiences
Twitter/Xadaccounts, customaudiences, idtypes
Redditbusinesses, ad-accounts, eventtypes, userdatafields
Criteoadvertisers, audiences, id-types
AdRolladvertisables, pixel
Yahooadaccounts, idtypes
The Trade Deskadvertisers

Other

ProviderEndpoints
HubSpotlists, properties
Marketolists, fields, activitytypes, partitions
Amplitudecohorts
Shopifyfields
BigCommercestandard-fields, custom-attributes
ContentStackcontent-types, organizations, personalize-projects, regions, taxonomies
Airshiplists, channels
OneSignalapps
DatabricksDynamic type parameter
LiveRampeu-custom-fields
Insideridentifiers, attributes
Versiumtools

Example: Hierarchical Discovery

Some providers support hierarchical navigation. For example, to configure a BigQuery export:

# Step 1: List available projects
GET /v2/provider/google/bigquery?auth_id=auth_xyz

# Step 2: List datasets in a project
GET /v2/provider/google/bigquery?auth_id=auth_xyz&type=dataset&project=my-project

# Step 3: List tables in a dataset
GET /v2/provider/google/bigquery?auth_id=auth_xyz&type=table&project=my-project&dataset=my_dataset

# Step 4: List fields in a table
GET /v2/provider/google/bigquery?auth_id=auth_xyz&type=field&project=my-project&dataset=my_dataset&table=my_table